Facebook
LinkedIn
YouTube
Getting Started
Authentication
Authentication
  • V2 Authentication (Deprecated)
  • V3 Authentication
V2 API Documentation (Deprecated)V3 API DocumentationDialer SDK
Getting Started
Authentication
Authentication
  • V2 Authentication (Deprecated)
  • V3 Authentication
V2 API Documentation (Deprecated)V3 API DocumentationDialer SDK
V2 Authentication (Deprecated)V3 Authentication
V2 Authentication (Deprecated)V3 Authentication
  1. V3 Authentication
  • Get Access Token
    POST
  • Refresh Access Token
    POST
  • Revoke Token
    POST
  1. V3 Authentication

Get Access Token

POST
https://platform-oauth.convirza.com/oauth/token/client-credentials
Authentication
Last modified:2026-07-30 15:49:27
Get a Bearer token to authenticate your API requests.
How to Use
1.
Get your credentials from Portal → API Access page
2.
Send your api_key and api_secret to this endpoint
3.
Receive a Bearer token that's valid for 7 days
4.
Use this token in your API requests with the header: Authorization: Bearer <access_token>
Request Body
{
  "grant_type": "client_credentials",
  "api_key": "df7ed8f5-78f1-45b8-8951-42e8a1ad8c4c",
  "api_secret": "bcbab2ec-0c8b-4b98-b54a-30701de99e6f"
}
Important
Your token expires after 7 days
Keep your api_secret secure and never share it
You can generate a new token anytime using the same credentials

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Token generated successfully
Bodyapplication/json

🟠400
🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://platform-oauth.convirza.com/oauth/token/client-credentials' \
--header 'Content-Type: application/json' \
--data '{
    "grant_type": "client_credentials",
    "api_key": "df7ed8f5-78f1-45b8-8951-42e8a1ad8c4c",
    "api_secret": "bcbab2ec-0c8b-4b98-b54a-30701de99e6f"
}'
Response Response Example
200 - Example 1
{
    "code": 200,
    "message": "Token generated successfully",
    "data": {
        "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ0b2tlbklkIjoiYWJjZDEyMzQiLCJ1c2VySWQiOjEyMzQ1LCJvcmdVbml0SWQiOjY3ODkwLCJ0eXBlIjoiY2xpZW50X2NyZWRlbnRpYWxzIiwiaWF0IjoxNzA5NTU1NTU1LCJleHAiOjE3MTAxNjAzNTV9.xyz123",
        "token_type": "Bearer",
        "expires_in": 604800
    },
    "requestId": "4513d75e-3f05-468d-afff-f5a292f61b01",
    "timestamp": "2026-07-09T10:55:45.857Z"
}
Modified at 2026-07-30 15:49:27
Next
Refresh Access Token
Built with